WordPress.org

Ready to get started?Download WordPress

Forums

mb.miniAudioPlayer - an HTML5 audio player for your mp3 files
[resolved] VmP in IE9 and IE10 (5 posts)

  1. mahlerthetitan
    Member
    Posted 6 months ago #

    Hello,

    I love your player. I'm using it on my site, but the player's built-in font is not rendering in IE9 and IE10.
    I'm using a custom theme (which I did not write).

    Interestingly enough, the player controls render correctly in IE8.

    I;ve already tried removing my theme's stylesheet, to try to clear up any CSS conflicts issues. No such luck.

    Have you any suggestions to fix this problem?

    http://wordpress.org/plugins/wp-miniaudioplayer/

  2. pupunzi
    Member
    Plugin Author

    Posted 6 months ago #

    Hi,
    I can't replicate that issue on any of my instances. It's working fine on IE8/9/10; did you try your page from another computer running IE10?
    Let me Know,

    Matteo

  3. mahlerthetitan
    Member
    Posted 6 months ago #

    Hi Matteo,

    Thanks for getting back to me on this.

    These symptoms show up both on my computer, as well as the computers at netrenderer.com.
    The page in question is http://maikai.ca/?page_id=19.
    (Please note: I was planning to create an 'if' statement to make IE9 and IE10 use the built-in WordPress 3.6 audio player, this morning. But I'll hold off on that so that you can view the page as it is.)

    One thing to note is that my hosting provider is decidedly NOT easy-going. I've had to contact them three times now to take care of issues that were screwing up the operation of the WordPress installation:
    1) PHP max upload limit
    2) Temp directory location
    3) .svg & .svgz MIME type support

    Do you think it could be something to do with a server-side setting?

    Thanks!

  4. pupunzi
    Member
    Plugin Author

    Posted 6 months ago #

    Hi,
    as I told you I'm not able to reproduce the issue on my istances running IE9/10.
    Checking your page I get an error on the browser console related to the @font-face:

    CSS3114: @font-face non ha superato il controllo delle autorizzazioni di incorporamento OpenType. L'autorizzazione deve essere Installabile.
    (CSS3114: @font-face failed OpenType embedding permission check. Permission must be Installable).

    I presume it could be something related to the server security policy settings but this is the first time I get this error...
    Just read this that seams how you can solve that problem:

    http://stackoverflow.com/questions/5587956/make-adobe-fonts-work-with-css3-font-face-in-ie9

    Bye,
    Matteo

  5. mahlerthetitan
    Member
    Posted 6 months ago #

    Indeed, my particular issue was solved, server-side.

    I wrote to my hosting company about this issue (quoting the CSS3114 error).
    They wrote back:

    We believe the issue is simply related to the MIME Type definition for the .woff extension. We have just created the proper MIME Type for you

    And, BAM!, no more VmP.

    Thanks again for creating an awesome plugin.

Reply

You must log in to post.

About this Plugin

About this Topic

Tags

No tags yet.